export default ((data, children, props) => {
  const {
    type
  } = data;
  const {
    classes
  } = props;
  switch (type) {
    case 'bold':
      return <strong className={classes.bold}>
          {children}
        </strong>;
    case 'code':
      return <code className={classes['code-highlight']}>
          {children}
        </code>;
    case 'italic':
      return <em className={classes.italic}>
          {children}
        </em>;
    case 'underlined':
      return <u className={classes.underlined}>
          {children}
        </u>;
    case 'small':
      return <small className={classes.small}>
          {children}
        </small>;
    default:
      return () => null;
  }
});